Refresh connection#

Description#

Refreshes a specific connection, based on its ID

POST /api/v1/connections/{connectionId}/refresh

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

connectionId

path

string

true

body

body

RefreshConnectionDto

true

Body parameter example#

{
  "connectionId": "string",
  "destinationParameters": {
    "property1": null,
    "property2": null
  },
  "sourceParameters": {
    "property1": null,
    "property2": null
  },
  "usePreviousDestinationParameters": true,
  "usePreviousSourceParameters": true,
  "workspaceId": "string"
}

Code Samples#

curl -X POST https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId}/refresh \
    -H 'Content-Type: application/json' \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http POST https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId}/refresh \
    Content-Type:application/json \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=POST "https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId}/refresh" \
    --output-document -  \ 
    --header 'Content-Type: application/json' \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.post('https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId}/refresh', headers = headers)

print(r.json())

Returns#

200 - OK#

undefined

Example Responses#

{
  "body": {
    "connectionId": "string",
    "created": "string",
    "createdBy": "string",
    "destinationMetadata": {},
    "destinationParameters": {},
    "destinationStatus": "string",
    "destinationWorkspaceId": "string",
    "error": "string",
    "jobId": "string",
    "sourceMetadata": {},
    "sourceParameters": {},
    "sourceStatus": "string",
    "sourceWorkspaceId": "string",
    "updated": "string",
    "workspaceId": "string"
  },
  "code": "integer"
}